summaryrefslogtreecommitdiff
path: root/usr.sbin
diff options
context:
space:
mode:
authorkn <kn@cvs.openbsd.org>2020-10-21 10:28:50 +0000
committerkn <kn@cvs.openbsd.org>2020-10-21 10:28:50 +0000
commitac39114dfc73a149e488f5d6c4f23284f8cb454d (patch)
tree27b0c696bce732e354dcd33107b07e62e082dbbc /usr.sbin
parent09e08682e8d6ee11f526f3050e304cf8f761862a (diff)
Specify version with fw_update(1)
sysupgrade(8) calls fw_update(1) without specifying a path, so running on pre-6.8 snapshot and upgrading to 6.8 release with "-r" will update firmware packages to snapshots. Spotted by sthen OK sthen "looks good" deraadt
Diffstat (limited to 'usr.sbin')
-rw-r--r--usr.sbin/sysupgrade/sysupgrade.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/usr.sbin/sysupgrade/sysupgrade.sh b/usr.sbin/sysupgrade/sysupgrade.sh
index 66ebfe9ce16..83fc8ed1f7e 100644
--- a/usr.sbin/sysupgrade/sysupgrade.sh
+++ b/usr.sbin/sysupgrade/sysupgrade.sh
@@ -1,6 +1,6 @@
#!/bin/ksh
#
-# $OpenBSD: sysupgrade.sh,v 1.42 2020/10/08 14:35:20 kn Exp $
+# $OpenBSD: sysupgrade.sh,v 1.43 2020/10/21 10:28:49 kn Exp $
#
# Copyright (c) 1997-2015 Todd Miller, Theo de Raadt, Ken Westerback
# Copyright (c) 2015 Robert Peichaer <rpe@openbsd.org>
@@ -123,8 +123,10 @@ fi
if $SNAP; then
URL=${MIRROR}/snapshots/${ARCH}/
+ FW_URL=http://firmware.openbsd.org/firmware/snapshots/
else
URL=${MIRROR}/${NEXT_VERSION}/${ARCH}/
+ FW_URL=http://firmware.openbsd.org/firmware/${NEXT_VERSION}/
fi
install -d -o 0 -g 0 -m 0755 ${SETSDIR}
@@ -194,7 +196,7 @@ __EOT
fi
echo Fetching updated firmware.
-fw_update || echo "Warning: firmware not updated."
+fw_update -p ${FW_URL} || echo "Warning: firmware not updated."
install -F -m 700 bsd.rd /bsd.upgrade
logger -t sysupgrade -p kern.info "installed new /bsd.upgrade. Old kernel version: $(sysctl -n kern.version)"